<?xml version="1.0" encoding="UTF-8"?>
<Configuration xmlns:log4j="http://jakarta.apache.org/log4j/">
  <!-- Appenders -->
  <Appenders>
    <Console name="console" target="SYSTEM_OUT">
      <PatternLayout pattern="%-5p: %c - %m%n" />
    </Console>
  </Appenders>

  <Loggers>
    <Logger name="io.gitlab.kakaruu.practice" level="debug">
      <AppenderRef ref="console" />
    </Logger>
    <Logger name="org.springframework.core" level="info">
      <AppenderRef ref="console" />
    </Logger>
    <Logger name="org.springframework.beans" level="info">
      <AppenderRef ref="console" />
    </Logger>
    <Logger name="org.springframework.context" level="info">
      <AppenderRef ref="console" />
    </Logger>
    <Logger name="org.springframework.web" level="info">
      <AppenderRef ref="console" />
    </Logger>
    <Root level="info">
      <AppenderRef ref="console" />
    </Root>
  </Loggers>
</Configuration>